%define name gyach
%define version 0.7.5
%define release 1mdk


Version: %{version}
Summary: A GTK+ based Yahoo! Chat client
Name: %{name}
Release: %{release}
License: GPL
Group: Networking/Instant messaging
Source: %{name}-%{version}.tar.bz2
URL: http://www4.infi.net/~cpinkham/gyach/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description

Gyach is a GTK+ based Yahoo! Chat client.  

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gyach"\
title="Gyach"\
longtitle="A yahoo chat client"\
needs="x11"\
section="Networking/Instant messaging"
EOF
)
 
%post
%update_menus
 
%postun
%update_menus 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING INSTALL TODO ChangeLog
%{_bindir}/*
%{_menudir}/*
%{_datadir}/gyach/pixmaps/no_photo.xpm

%changelog
* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.5-1mdk
- updated to 0.7.5

* Thu Jul 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-2mdk
- rebuild

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- updated to 0.7.2

* Fri Nov 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- updated to 0.7.1

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- updated to 0.7

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- updated to 0.6.3

* Fri Oct 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- new in contribs
- add menu entry
